import React from 'react';

const WwLogo = ({width, height, fill, className, onClick}) => {
    return (
        <svg version="1.0"
             width={width} height={height} viewBox="0 0 2306.000000 615.000000"
             preserveAspectRatio="xMidYMid meet">
            <g transform="translate(0.000000,615.000000) scale(0.100000,-0.100000)"
               fill={fill} stroke="none">
                <path d="M0 3075 l0 -3075 11530 0 11530 0 0 3075 0 3075 -11530 0 -11530 0 0
-3075z m6263 1104 c186 -37 336 -116 463 -243 136 -136 220 -296 271 -516 34
-148 43 -408 19 -569 -65 -441 -305 -742 -674 -846 -121 -34 -208 -44 -347
-40 -507 14 -844 317 -941 846 -25 136 -25 412 0 544 86 460 358 755 763 829
123 22 326 20 446 -5z m2484 2 c367 -71 616 -309 727 -694 45 -153 63 -387 45
-569 -19 -195 -98 -430 -189 -563 -89 -129 -243 -255 -387 -314 -145 -60 -277
-82 -458 -76 -382 12 -667 187 -829 510 -86 172 -126 364 -126 605 0 503 193
861 553 1030 75 36 198 72 282 83 90 12 290 6 382 -12z m-6424 -323 c42 -172
136 -554 208 -848 168 -687 150 -619 161 -595 5 11 116 409 247 885 l239 865
138 0 139 0 240 -870 c132 -478 243 -877 247 -885 5 -13 6 -13 11 0 4 8 41
157 83 330 109 447 332 1359 342 1395 l8 30 143 3 c133 2 142 1 137 -15 -2
-10 -131 -484 -286 -1053 -154 -569 -286 -1050 -291 -1067 l-11 -33 -128 0
c-114 0 -129 2 -134 18 -3 9 -66 229 -141 487 -75 259 -184 632 -241 830 -124
425 -114 396 -125 370 -5 -11 -72 -236 -148 -500 -77 -264 -180 -622 -231
-795 -50 -173 -98 -336 -106 -362 l-16 -48 -128 0 -129 0 -11 43 c-30 114
-573 2104 -577 2115 -4 9 28 12 139 12 l144 0 77 -312z m8767 287 c312 -70
519 -224 647 -480 125 -251 158 -616 82 -935 -77 -328 -289 -570 -586 -669
-162 -55 -208 -59 -684 -60 -384 -1 -437 0 -443 14 -8 23 -7 2140 1 2149 5 4
211 6 458 3 374 -4 463 -8 525 -22z m1536 -475 c67 -272 163 -666 214 -875 81
-331 108 -428 111 -389 0 5 109 403 242 884 l242 875 137 3 136 3 11 -33 c5
-18 114 -411 241 -873 255 -929 239 -870 245 -863 3 3 36 130 74 284 38 153
135 550 217 882 l148 602 144 0 c121 0 143 -2 139 -14 -3 -8 -132 -480 -287
-1048 -155 -568 -286 -1050 -292 -1071 l-11 -38 -130 3 -129 3 -249 854 c-136
469 -250 856 -253 859 -3 3 -8 -1 -11 -9 -7 -19 -495 -1700 -495 -1705 0 -2
-58 -4 -129 -4 l-129 0 -11 33 c-6 17 -137 498 -291 1067 -155 569 -284 1043
-286 1053 -5 16 4 17 138 15 l143 -3 121 -495z m4164 375 l0 -125 -535 0 -535
0 0 -345 0 -345 510 0 511 0 -3 -122 -3 -123 -495 -2 c-272 -2 -501 -3 -507
-3 -10 0 -13 -81 -13 -370 l0 -370 535 0 535 0 0 -120 0 -120 -670 0 -670 0 0
1085 0 1085 670 0 670 0 0 -125z m1633 97 c128 -35 202 -78 293 -167 132 -130
178 -252 177 -465 0 -107 -4 -137 -26 -205 -55 -168 -165 -298 -314 -370 -43
-21 -80 -39 -82 -41 -4 -3 20 -47 259 -474 201 -360 230 -412 230 -416 0 -2
-72 -4 -159 -4 l-159 0 -64 119 c-34 65 -137 256 -228 424 l-165 307 -260 0
-260 0 2 -425 3 -425 -140 0 -140 0 0 1086 0 1086 478 -4 c450 -4 481 -6 555
-26z m1327 -502 c0 -291 4 -530 8 -530 4 0 224 239 487 530 l479 530 169 0
c93 0 167 -4 165 -9 -1 -5 -201 -221 -442 -481 -319 -343 -437 -476 -430 -486
5 -7 216 -270 469 -584 253 -314 466 -580 474 -591 13 -19 10 -19 -160 -19
l-174 0 -400 501 c-220 275 -403 502 -406 505 -3 2 -58 -55 -122 -126 l-117
-128 0 -376 0 -376 -135 0 -135 0 0 1085 0 1085 135 0 135 0 0 -530z"/>
                <path d="M5875 3935 c-146 -32 -284 -114 -371 -222 -189 -236 -245 -660 -134
-1006 40 -126 90 -208 185 -302 123 -124 257 -180 444 -189 332 -14 588 165
696 488 66 200 72 496 14 709 -11 40 -41 114 -66 166 -88 183 -258 315 -455
355 -92 19 -230 19 -313 1z"/>
                <path d="M8365 3934 c-232 -48 -422 -230 -503 -484 -43 -132 -55 -233 -49
-405 3 -92 13 -192 22 -235 87 -391 356 -610 732 -593 364 17 613 274 668 690
4 29 7 112 7 186 0 463 -216 780 -576 846 -81 15 -216 13 -301 -5z"/>
                <path d="M10380 3080 l0 -843 293 6 c255 4 302 8 372 26 310 83 481 295 525
651 21 175 6 373 -41 520 -72 226 -232 383 -459 451 -68 20 -102 22 -382 26
l-308 5 0 -842z"/>
                <path d="M17918 3922 l-248 -2 0 -410 0 -410 303 0 c228 0 315 4 355 14 196
52 296 202 285 429 -9 213 -149 354 -372 375 -42 4 -187 6 -323 4z"/>
            </g>
        </svg>
    );
};

export default WwLogo;